Bug 802505 - Kernel BUG at fs/ext4/mballoc.c:1441, called from ext4_mb_complex_scan_group
Kernel BUG at fs/ext4/mballoc.c:1441, called from ext4_mb_complex_scan_group
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 13:12 EDT by Andreas Fleig
Modified: 2012-09-04 13:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error messages and stack trace from /var/log/messages (6.31 KB, text/plain)
2012-03-12 13:13 EDT, Andreas Fleig
no flags Details
Output of fsck (6.01 KB, application/octet-stream)
2012-03-12 13:14 EDT, Andreas Fleig
no flags Details

  None (edit)
Description Andreas Fleig 2012-03-12 13:12:47 EDT
Description of problem:

I noticed my rsync hanging while doing a backup and found the attached kernel error message in /var/log/messages. The bug is probably irreproducible, because I fsck'd the disk already (log also attached).

The disk is a Western Digital WD5000AAKS attached to a USB-to-SATA dock.


Version-Release number of selected component (if applicable):
Linux 3.2.7-1.fc16.x86_64


How reproducible:
?


Steps to Reproduce:
1. Start a backup run
2. Notice rsync not doing anything
3.

  
Actual results:
File system stops working


Expected results:
File system should throw errors if the disk is corrupted, but never crash
Comment 1 Andreas Fleig 2012-03-12 13:13:33 EDT
Created attachment 569463 [details]
Error messages and stack trace from /var/log/messages
Comment 2 Andreas Fleig 2012-03-12 13:14:38 EDT
Created attachment 569464 [details]
Output of fsck
Comment 3 Josh Boyer 2012-03-12 13:35:16 EDT
Eric, have you seen something like this before
Comment 4 Dave Jones 2012-03-22 13:08:27 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:11:21 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 13:21:14 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.